<template>
  <div>
    <el-dialog :title="props.title" width="1000px" v-model="props.addDiaShow" :before-close="handleClose">
      <!-- 培训计划新增或修改 -->
      <div class="config">
        <el-form ref='fromboxref' :model="ruleForm" :rules="rules" label-width="150px" class="demo-ruleForm.value"
          :disabled='!saveBtnShow' style="width: 100% !important;">
          <el-form-item label="事故时间：" prop="accidenttime">
            <el-date-picker v-model="ruleForm.accidenttime" style="width: 100%" type="date" format="YYYY-MM-DD"
              value-format="YYYY-MM-DD" />
          </el-form-item>
          <el-form-item label="事故类别：" prop="accidenttype">
            <el-input v-model="ruleForm.accidenttype" clearable style="width: 100%"></el-input>
          </el-form-item>
          <el-form-item label="肇事地点：" prop="incidentsite">
            <el-input v-model="ruleForm.incidentsite" clearable style="width: 100%"></el-input>
          </el-form-item>
          <el-form-item label="死伤人数：" prop="toll">
            <el-input v-model="ruleForm.toll" type='number' clearable style="width: 100%"></el-input>
          </el-form-item>
          <el-form-item label="车损情况：">
            <el-input v-model="ruleForm.cardamage" clearable style="width: 100%"></el-input>
          </el-form-item>
          <el-form-item label="经济损失：" prop="economiclosses">
            <el-input v-model="ruleForm.economiclosses" clearable style="width: 100%"></el-input>
          </el-form-item>
          <el-form-item label="车型车号：">
            <el-input v-model="ruleForm.car" clearable style="width: 100%"></el-input>
          </el-form-item>
          <el-form-item label="事故责任：">
            <el-input v-model="ruleForm.atfault" clearable style="width: 100%"></el-input>
          </el-form-item>
          <el-form-item label="事故简要经过：" prop="taba" style="width: 100% !important">
            <el-input v-model="ruleForm.taba" clearable style="width: 100%"></el-input>
          </el-form-item>
          <el-form-item label="公安及单位处理意见：" label-width="160px" style="width: 100% !important">
            <el-input v-model="ruleForm.psuatsfd" clearable style="width: 100%"></el-input>
          </el-form-item>

        </el-form>
      </div>

      <template #footer>
        <span class="dialog-footer">
          <el-button type="primary" :loading="loading" @click="handleSave(fromboxref)" v-if="saveBtnShow">
            <el-icon>
              <DocumentChecked />
            </el-icon>
            <span>保存</span>
          </el-button>
          <el-button @click="handleClose" type="primary">
            <el-icon>
              <DocumentDelete />
            </el-icon>
            <span>关闭</span>
          </el-button>
        </span>
      </template>
    </el-dialog>
  </div>
</template>

<script setup>
// 引入
import {
  ref,
  onMounted,
  defineProps,
  defineEmits,
  reactive,
  watchEffect,
  getCurrentInstance
} from "vue";
import * as rule from "@/utils/rules.js";
import { postApi } from "@/api/tobAcco_api.js";
import { ElMessage } from "element-plus";
const { proxy } = getCurrentInstance();
//表单数据
const ruleForm = ref({
});
const fromboxref = ref()
//规则校验
const rules = reactive({
  accidenttime: [{ required: true, message: "事故时间不能为空", trigger: "blur" }],
  accidenttype: [{ required: true, message: "事故类别不能为空", trigger: "blur" }],
  incidentsite: [{ required: true, message: "肇事地点不能为空", trigger: "blur" }],
  taba: [{ required: true, message: "事故简要经过不能为空", trigger: "blur" }],
  ...rule.intfsRule({ validator: true, require: true }, "toll"),
  ...rule.numbernineRule({ validator: true, require: false, iszs: true, firstNum: 9, lastNum: 2 }, "economiclosses"),

});
const props = defineProps({
  addDiaShow: {
    type: Boolean,
    default: false
  },
  rowxq: {
    type: Object,
    default: () => { }
  },
  title: String,
  saveBtnShow: {
    default: true,
    type: Boolean
  }
});
const loading = ref(false)
watchEffect(() => {
  if (props.rowxq) {
    ruleForm.value = JSON.parse(JSON.stringify(props.rowxq));
  } else {
    ruleForm.value = {}
  }
});
const emits = defineEmits(["changeAddVi", "changeclose"]);

onMounted(() => { });

// 关闭
const handleClose = () => {
  if (props.saveBtnShow) {
    proxy.$modal.confirm('离开会丢失页面中修改的内容，确认离开吗？')
      .then(() => {
        emits("changeclose", false);
      })
      .catch(() => {
        // catch error
      })
  } else {
    emits("changeclose", false);
  }

};

// 关闭×
const closeDialog = () => {
  emits("changeclose", false);
};
// 保存

const handleSave = async (formEl) => {
  loading.value = true
  if (!formEl) return
  await formEl.validate((valid, fields) => {
    if (valid) {
      if (ruleForm.value) {
        if (ruleForm.value.id) {
          postApi(ruleForm.value, "/mosty-jcgl/driverRfohard/updateDriverRfohard")
            .then(() => {
              ElMessage.success("修改成功");
              emits("changeclose", false);
              emits("changeAddVi", ruleForm.value);
              loading.value = false
            }).catch((err) => {
              loading.value = false
            })
        } else {
          emits("changeAddVi", ruleForm.value);
          loading.value = false
          emits("changeclose", false);
        }
      }
    } else {
      ElMessage.warning('请输入必填项！！！')
      loading.value = false
    }
  })
}
</script>

<style lang="scss" scoped>
.fj {
  .el-form {
    padding: 10px;
    margin-top: 10px;
    flex-wrap: wrap;
    // width: 1170px;
    justify-content: flex-end;
  }

  .from_fix {
    display: flex;
    flex-wrap: wrap;
    padding: 10px;
    margin-top: 10px;

    // .el-form-item--default .el-form-item__content {
    //   flex-wrap: nowrap !important;
    // }

    .el-input {
      width: 100%;
    }
  }
}

::v-deep .el-form-item__content {
  flex-wrap: nowrap !important;
}

.config {
  width: 955px;

  .el-form {
    padding: 10px 40px;
    margin-top: 10px;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .el-form-item {
    width: 46%;
    text-align: center;
  }
}

.pxdx_box {
  width: 500px;
}

.titleBox {
  align-items: center;
  margin: 0;
  padding: 0;
  height: 60px;
  border: 1px solid rgb(32, 75, 54);
  padding: 20px;
}

.form>div {
  position: relative;
  margin-top: 30px;
  display: flex;
  justify-content: space-between;

  div {
    display: flex;
    align-items: center;

    .el-select {
      width: 65%;
    }
  }
}

.el-input {
  width: 75%;
}

.two .el-input {
  width: 65%;
}

.three {
  justify-content: flex-start !important;

  .el-select {
    width: 15%;
  }
}

.four {
  display: flex;
  align-items: center;

  span {
    width: 5%;
  }

  .el-textarea__inner {
    width: 95%;
  }
}

.group {
  margin-top: 50px;
  // background-color: red;
  position: relative;
}

.fj {
  margin-top: 50px;
  width: 100%;

  .content {
    width: 100%;
    display: flex;
    padding: 20px;

    div {
      display: flex;
      width: 85%;
      align-items: center;
    }

    justify-content: space-between;
  }
}

.jc {
  margin-top: 50px;
}

.tabBox {
  height: 300px !important;
}

.el-table {
  height: 300px !important;
  border: 1px solid var(--el-color-primary);
}

.el-form-item__content {
  flex-wrap: nowrap;
}
</style>